Bug 141704 - deleted data from imap Sent folder
deleted data from imap Sent folder
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 19:31 EST by Will McCammon
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 10:57:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screentshot-Account Settings.png (51.97 KB, text/plain)
2004-12-02 19:31 EST, Will McCammon
no flags Details
Screenshot-Account Settings-1.png (49.24 KB, text/plain)
2004-12-02 19:33 EST, Will McCammon
no flags Details
Screenshot-Account Settings-2.png (45.23 KB, text/plain)
2004-12-02 19:34 EST, Will McCammon
no flags Details
Screenshot-Account Settings.png (51.97 KB, image/png)
2004-12-02 19:37 EST, Will McCammon
no flags Details
Screenshot-Account Settings-1.png (49.24 KB, image/png)
2004-12-02 19:38 EST, Will McCammon
no flags Details
Screenshot-Account Settings-2.png (45.23 KB, image/png)
2004-12-02 19:39 EST, Will McCammon
no flags Details

  None (edit)
Description Will McCammon 2004-12-02 19:31:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
upon configuring thunderbird to connect to an imap account on a remote
server, nearly all mail in the Sent folder is deleted.  that is, all
mail older than 15 days is inadvertantly deleted with the exception of
the original placeholder message, "DON'T DELETE THIS MESSAGE -- FOLDER
INTERNAL DATA." mail in all other folders intact.  evolution and
groupoffice do not produce this error.

ls -l Sent (before connecting to server via imap)
-rw-------  1 will will  79114930 Nov 30 14:28 Sent

ls -l Sent (after connecting to server via imap)
-rw-------  1 will will 1642016 Dec  2 18:50 Sent

Name        : thunderbird                  Relocations: (not relocatable)
Version     : 0.9                               Vendor: Red Hat, Inc.
Release     : 1.fc3                         Build Date: Sat 27 Nov
2004 04:28:55 AM EST

Name        : dovecot                      Relocations: (not relocatable)
Version     : 0.99.10.5                         Vendor: Red Hat, Inc.
Release     : 0.FC2                         Build Date: Sat 29 May
2004 05:20:29 PM EDT


Version-Release number of selected component (if applicable):
version 0.9 (20041127)

How reproducible:
Always

Steps to Reproduce:
1. configure account server settings as seen in screenshot
2. configure account copies & folders as seen in screenshot-1
3. configure account offline & diskspace as seen in screenshot-2
4. examine Sent folder filesize on imap server (excess of 70M)
5. examine Sent folder mail dates on imap server (excess of 15 days old)
6. connect to imap server by clicking on Get Mail
7. examine contents of Sent by clicking on imap Sent folder
8. log into the imap server via ssh and verify filesize change.


    

Actual Results:  *dropped jaw* as i realized all my sent mail from the
past year is gone. 

Expected Results:  *big smile* as i realize what an awesome product
i'm using.

Additional info:
Comment 1 Will McCammon 2004-12-02 19:31:59 EST
Created attachment 107804 [details]
Screentshot-Account Settings.png
Comment 2 Will McCammon 2004-12-02 19:33:23 EST
Created attachment 107805 [details]
Screenshot-Account Settings-1.png
Comment 3 Will McCammon 2004-12-02 19:34:01 EST
Created attachment 107806 [details]
Screenshot-Account Settings-2.png
Comment 4 Will McCammon 2004-12-02 19:35:18 EST
ack!  i accidentally uploaded the screenshots using plain text. sorry.
see screenshots below instead.
Comment 5 Will McCammon 2004-12-02 19:37:37 EST
Created attachment 107807 [details]
Screenshot-Account Settings.png
Comment 6 Will McCammon 2004-12-02 19:38:45 EST
Created attachment 107808 [details]
Screenshot-Account Settings-1.png
Comment 7 Will McCammon 2004-12-02 19:39:23 EST
Created attachment 107809 [details]
Screenshot-Account Settings-2.png
Comment 8 Matthew Miller 2006-07-10 18:44:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 John Thacker 2006-11-05 10:57:38 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.